Magoo Component UI logo Magoo Component UI
← Catalog

Request / Response Viewer

request-response-viewer organism experimental

Side-by-side request and response panes for an HTTP call - method pill, URL, headers/body, and a colour-toned status line.

The width preview needs a screen wider than the chosen width — use a larger device (or a desktop browser) to see the desktop and tablet layouts.

Default
Request
get https://api.example.com/v1/orders/ord_123

Headers

Authorization: Bearer sk_live_...
Accept: application/json
Response

200 OK

{
  "id": "ord_123",
  "amount": 1999,
  "currency": "usd",
  "status": "paid"
}
NotFound
Request
get https://api.example.com/v1/orders/ord_missing

Headers

Authorization: Bearer sk_live_...
Accept: application/json
Response

404 Not Found

{
  "error": {
    "type": "resource_missing",
    "message": "No such order: ord_missing"
  }
}

Props

NameTypeReq
method enum (get | post | put | patch | delete)
request object ✓
response object ✓
status_tone enum (success | warning | danger)

Related components

Use cases

media WCAG AA SEO 35 dir: ltr ai-generated